#include <iostream>
#include <vector>
using namespace std;
int main() {
    int brojstalaktita, visinaperice;
    cin >> brojstalaktita >> visinaperice;
    vector<int> visinestalaktita(brojstalaktita);
    for (int i = 0; i < brojstalaktita; i++) {
        cin >> visinestalaktita[i];
    }

    for (int i = 0; i < brojstalaktita; i++) {
        if (visinestalaktita[i] <= visinaperice) {
            cout << i + 1 << endl;
            return 0;
        }
    }

    // Ako je prošao kroz sve stalaktite
    cout << -1 << endl;

    return 0;
}